org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class ComplexContentDocumentImpl.ComplexContentImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.ComplexContentDocumentImpl.ComplexContentImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, Annotated, ComplexContentDocument.ComplexContent, OpenAttrs, SimpleValue, XmlObject, XmlTokenSource
  Enclosing class:
    ComplexContentDocumentImpl

      public static class ComplexContentDocumentImpl.ComplexContentImpl
      extends AnnotatedImpl
      implements ComplexContentDocument.ComplexContent

  An XML complexContent(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.ComplexContentDocument.ComplexContent

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexContentImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionType` | `addNewExtension()` Appends and returns a new empty "extension" element
    `ComplexRestrictionType` | `addNewRestriction()` Appends and returns a new empty "restriction" element
    `ExtensionType` | `getExtension()` Gets the "extension" element
    `boolean` | `getMixed()` Gets the "mixed" attribute
    `ComplexRestrictionType` | `getRestriction()` Gets the "restriction" element
    `boolean` | `isSetExtension()` True if has "extension" element
    `boolean` | `isSetMixed()` True if has "mixed" attribute
    `boolean` | `isSetRestriction()` True if has "restriction" element
    `void` | `setExtension(ExtensionType extension)` Sets the "extension" element
    `void` | `setMixed(boolean mixed)` Sets the "mixed" attribute
    `void` | `setRestriction(ComplexRestrictionType restriction)` Sets the "restriction" element
    `void` | `unsetExtension()` Unsets the "extension" element
    `void` | `unsetMixed()` Unsets the "mixed" attribute
    `void` | `unsetRestriction()` Unsets the "restriction" element
    `XmlBoolean` | `xgetMixed()` Gets (as xml) the "mixed" attribute
    `void` | `xsetMixed(XmlBoolean mixed)` Sets (as xml) the "mixed" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### ComplexContentImpl

          public ComplexContentImpl(SchemaType sType)

  - ### Method Detail

    - #### getRestriction

          public ComplexRestrictionType getRestriction()

      Gets the "restriction" element
      Specified by:
        `getRestriction` in interface `ComplexContentDocument.ComplexContent`

    - #### isSetRestriction

          public boolean isSetRestriction()

      True if has "restriction" element
      Specified by:
        `isSetRestriction` in interface `ComplexContentDocument.ComplexContent`

    - #### setRestriction

          public void setRestriction(ComplexRestrictionType restriction)

      Sets the "restriction" element
      Specified by:
        `setRestriction` in interface `ComplexContentDocument.ComplexContent`

    - #### addNewRestriction

          public ComplexRestrictionType addNewRestriction()

      Appends and returns a new empty "restriction" element
      Specified by:
        `addNewRestriction` in interface `ComplexContentDocument.ComplexContent`

    - #### unsetRestriction

          public void unsetRestriction()

      Unsets the "restriction" element
      Specified by:
        `unsetRestriction` in interface `ComplexContentDocument.ComplexContent`

    - #### getExtension

          public ExtensionType getExtension()

      Gets the "extension" element
      Specified by:
        `getExtension` in interface `ComplexContentDocument.ComplexContent`

    - #### isSetExtension

          public boolean isSetExtension()

      True if has "extension" element
      Specified by:
        `isSetExtension` in interface `ComplexContentDocument.ComplexContent`

    - #### setExtension

          public void setExtension(ExtensionType extension)

      Sets the "extension" element
      Specified by:
        `setExtension` in interface `ComplexContentDocument.ComplexContent`

    - #### addNewExtension

          public ExtensionType addNewExtension()

      Appends and returns a new empty "extension" element
      Specified by:
        `addNewExtension` in interface `ComplexContentDocument.ComplexContent`

    - #### unsetExtension

          public void unsetExtension()

      Unsets the "extension" element
      Specified by:
        `unsetExtension` in interface `ComplexContentDocument.ComplexContent`

    - #### getMixed

          public boolean getMixed()

      Gets the "mixed" attribute
      Specified by:
        `getMixed` in interface `ComplexContentDocument.ComplexContent`

    - #### xgetMixed

          public XmlBoolean xgetMixed()

      Gets (as xml) the "mixed" attribute
      Specified by:
        `xgetMixed` in interface `ComplexContentDocument.ComplexContent`

    - #### isSetMixed

          public boolean isSetMixed()

      True if has "mixed" attribute
      Specified by:
        `isSetMixed` in interface `ComplexContentDocument.ComplexContent`

    - #### setMixed

          public void setMixed(boolean mixed)

      Sets the "mixed" attribute
      Specified by:
        `setMixed` in interface `ComplexContentDocument.ComplexContent`

    - #### xsetMixed

          public void xsetMixed(XmlBoolean mixed)

      Sets (as xml) the "mixed" attribute
      Specified by:
        `xsetMixed` in interface `ComplexContentDocument.ComplexContent`

    - #### unsetMixed

          public void unsetMixed()

      Unsets the "mixed" attribute
      Specified by:
        `unsetMixed` in interface `ComplexContentDocument.ComplexContent`